Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80430 - installer crashes when selecting no mouse
Summary: installer crashes when selecting no mouse
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-26 08:15 UTC by Greg Griffin
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-27 18:01:15 UTC


Attachments (Terms of Use)

Description Greg Griffin 2002-12-26 08:15:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Traceback (most recent call last):
 File"/usr/lib/anaconda/gui.py",line 628, in nextClicked
  rc = self.currentWindow.getNext ()
 File"/usr/lib/anaconda/iw/mouse_gui.py",line 41, in getNext
  self.mouse.setXProtocol()
 File"usr/lib/python2.2/site-packages/rhpl/mouse.py",line 249, in setXProtocol 
curmouse[0] = "/dev/" + self.device
TypeError: cannot concatenate 'str' and 'NoneType' objects

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot computer
2.choose graphic installation
3.
    

Actual Results:  computer cannot switch to display

Expected Results:  continued with installation

Additional info:

Traceback (most recent call last):
 File"/usr/lib/anaconda/gui.py",line 628, in nextClicked
  rc = self.currentWindow.getNext ()
 File"/usr/lib/anaconda/iw/mouse_gui.py",line 41, in getNext
  self.mouse.setXProtocol()
 File"usr/lib/python2.2/site-packages/rhpl/mouse.py",line 249, in setXProtocol 
curmouse[0] = "/dev/" + self.device
TypeError: cannot concatenate 'str' and 'NoneType' objects

Comment 1 Michael Fulbright 2002-12-27 16:16:58 UTC
This has been fixed in internally. I would recommend choosing a generic ps/2
mouse and proceeding. It should not have any bad conquences.

Comment 2 Michael Fulbright 2003-01-27 18:01:15 UTC
Closing due to inactivity - please reopen if you have additional information to
add to the report.


Note You need to log in before you can comment on or make changes to this bug.